## org.eclipse.emf.ecore.change
Interface ListChange

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  ListChangeImpl

    public interface ListChange

extends EObject

A representation of the model object 'List Change'.

The following features are supported:

- `Kind`
- `Data Values`
- `Index`
- `Move To Index`
- `Values`
- `Reference Values`
- `Feature`
- `Feature Map Entry Values`

See Also:
  `ChangePackage.getListChange()`

Method Summary
`void` `apply(EList<java.lang.Object> originalList)`
`void` `applyAndReverse(EList<java.lang.Object> originalList)`
`EList<java.lang.String>` `getDataValues()` Returns the value of the 'Data Values' attribute list.
`EStructuralFeature` `getFeature()` Returns the value of the 'Feature' reference
`EList<FeatureMapEntry>` `getFeatureMapEntryValues()` Returns the value of the 'Feature Map Entry Values' containment reference list.
`int` `getIndex()` Returns the value of the 'Index' attribute.
`ChangeKind` `getKind()` Returns the value of the 'Kind' attribute.
`int` `getMoveToIndex()` Returns the value of the 'Move To Index' attribute
`EList<EObject>` `getReferenceValues()` Returns the value of the 'Reference Values' reference list.
`EList<java.lang.Object>` `getValues()` Returns the value of the 'Values' attribute list.
`void` `setFeature(EStructuralFeature value)` Sets the value of the '`Feature`' reference
`void` `setIndex(int value)` Sets the value of the '`Index`' attribute
`void` `setKind(ChangeKind value)` Sets the value of the '`Kind`' attribute
`void` `setMoveToIndex(int value)` Sets the value of the '`Move To Index`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKind

    ChangeKind getKind()

  Returns the value of the 'Kind' attribute. The literals are from the enumeration `ChangeKind`.

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `ChangeKind`, `setKind(ChangeKind)`, `ChangePackage.getListChange_Kind()`

### setKind

    void setKind(ChangeKind value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `ChangeKind`, `getKind()`

### getDataValues

    EList<java.lang.String> getDataValues()

  Returns the value of the 'Data Values' attribute list. The list contents are of type `String`.

  Returns:
    the value of the 'Data Values' attribute list.
  See Also:
    `ChangePackage.getListChange_DataValues()`

### getIndex

    int getIndex()

  Returns the value of the 'Index' attribute. The default value is `"-1"`.

  Returns:
    the value of the 'Index' attribute.
  See Also:
    `setIndex(int)`, `ChangePackage.getListChange_Index()`

### setIndex

    void setIndex(int value)

  Sets the value of the '`Index`' attribute.

  Parameters:
    `value` - the new value of the 'Index' attribute.
  See Also:
    `getIndex()`

### getMoveToIndex

    int getMoveToIndex()

  Returns the value of the 'Move To Index' attribute.

  Returns:
    the value of the 'Move To Index' attribute.
  See Also:
    `setMoveToIndex(int)`, `ChangePackage.getListChange_MoveToIndex()`

### setMoveToIndex

    void setMoveToIndex(int value)

  Sets the value of the '`Move To Index`' attribute.

  Parameters:
    `value` - the new value of the 'Move To Index' attribute.
  See Also:
    `getMoveToIndex()`

### getReferenceValues

    EList<EObject> getReferenceValues()

  Returns the value of the 'Reference Values' reference list. The list contents are of type `EObject`.

  Returns:
    the value of the 'Reference Values' reference list.
  See Also:
    `ChangePackage.getListChange_ReferenceValues()`

### getFeature

    EStructuralFeature getFeature()

  Returns the value of the 'Feature' reference.

  Returns:
    the value of the 'Feature' reference.
  See Also:
    `setFeature(EStructuralFeature)`, `ChangePackage.getListChange_Feature()`

### setFeature

    void setFeature(EStructuralFeature value)

  Sets the value of the '`Feature`' reference.

  Parameters:
    `value` - the new value of the 'Feature' reference.
  See Also:
    `getFeature()`

### getFeatureMapEntryValues

    EList<FeatureMapEntry> getFeatureMapEntryValues()

  Returns the value of the 'Feature Map Entry Values' containment reference list. The list contents are of type `FeatureMapEntry`.

  Returns:
    the value of the 'Feature Map Entry Values' containment reference list.
  See Also:
    `ChangePackage.getListChange_FeatureMapEntryValues()`

### getValues

    EList<java.lang.Object> getValues()

  Returns the value of the 'Values' attribute list. The list contents are of type `Object`.

  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `ChangePackage.getListChange_Values()`

### apply

    void apply(EList<java.lang.Object> originalList)

### applyAndReverse

    void applyAndReverse(EList<java.lang.Object> originalList)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.